global main
extern sum, print, scan
extern a

section .text
main:
    push rbx
    call scan       ; прочитать первое число
    mov rbx, rax    ; сохранить первое число
    call scan       ; прочитать второе число
    mov rdi, rbx    ; a
    mov rsi, rax    ; b
    call sum        ; сумма
    mov rdi, rax    ; результат
    push rax
    call print      ; напечатать
    pop rax
    pop rbx

    mov dword [rel a], eax  ; записать значение 42 в переменную a

    mov rax, 0
    ret